using System.Threading.Tasks;

namespace Ewide.Core
{
    public interface IUserManager
    {
        string Account { get; }
        string Name { get; }
        bool SuperAdmin { get; }
        SysUser User { get; }
        string UserId { get; }

        Task<SysUser> CheckUserAsync(string userId, bool tracking = true);
        Task<SysEmp> GetUserEmpInfo(string userId);
    }
}